public inbox for git-commits@fedoraproject.org
help / color / mirror / Atom feed
From: Stepan Broz <sbroz@redhat.com>
To: git-commits@fedoraproject.org
Subject: [tests/selinux] pr775-checkpolicy-revdeps: systemd-sysctl-and-similar: Adjust test relevancy
Date: Fri, 11 Sep 2026 13:22:37 GMT [thread overview]
Message-ID: <178913295754.1.12409143674641096906.tests-selinux-3b84c2b16536@fedoraproject.org> (raw)
A new commit has been pushed.
Repo : tests/selinux
Branch : pr775-checkpolicy-revdeps
Commit : 3b84c2b16536dec9f926b1c7373f209ca1255042
Author : Stepan Broz <sbroz@redhat.com>
Date : 2025-04-17T18:18:01+00:00
Stats : +19/-17 in 1 file(s)
URL : https://src.fedoraproject.org/tests/selinux/c/3b84c2b16536dec9f926b1c7373f209ca1255042?branch=pr775-checkpolicy-revdeps
Log:
systemd-sysctl-and-similar: Adjust test relevancy
Do not test "RHEL-56988 + RHEL-58380" on RHEL 9.5 or lower.
---
diff --git a/selinux-policy/systemd-sysctl-and-similar/runtest.sh b/selinux-policy/systemd-sysctl-and-similar/runtest.sh
index 4667ee4..476f811 100755
--- a/selinux-policy/systemd-sysctl-and-similar/runtest.sh
+++ b/selinux-policy/systemd-sysctl-and-similar/runtest.sh
@@ -51,24 +51,26 @@ rlJournalStart
rlPhaseEnd
if ! rlIsRHEL 8 && ! rlIsCentOS 8 ; then
- rlPhaseStartTest "bz#2056207 + bz#2056999"
- rlSEMatchPathCon "/usr/lib/systemd/systemd-sysctl" "systemd_sysctl_exec_t"
- rlRun "ls -Z /proc/sys/fs/suid_dumpable | grep :proc_security_t"
- rlRun "ls -Z /proc/sys/fs/protected_hardlinks | grep :proc_security_t"
- rlRun "ls -Z /proc/sys/fs/protected_symlinks | grep :proc_security_t"
- rlRun "ls -Z /proc/sys/kernel/kptr_restrict | grep :proc_security_t"
- rlSESearchRule "allow systemd_sysctl_t proc_security_t : file { read } [ ]"
- rlPhaseEnd
+ rlPhaseStartTest "bz#2056207 + bz#2056999"
+ rlSEMatchPathCon "/usr/lib/systemd/systemd-sysctl" "systemd_sysctl_exec_t"
+ rlRun "ls -Z /proc/sys/fs/suid_dumpable | grep :proc_security_t"
+ rlRun "ls -Z /proc/sys/fs/protected_hardlinks | grep :proc_security_t"
+ rlRun "ls -Z /proc/sys/fs/protected_symlinks | grep :proc_security_t"
+ rlRun "ls -Z /proc/sys/kernel/kptr_restrict | grep :proc_security_t"
+ rlSESearchRule "allow systemd_sysctl_t proc_security_t : file { read } [ ]"
+ rlPhaseEnd
- rlPhaseStartTest "RHEL-56988 + RHEL-58380"
- rlRun "man sysctl.d | grep /run/sysctl"
- rlRun "mkdir -pZ /run/sysctl.d"
- rlRun "echo 'net.ipv4.conf.eno1.rp_filter=0' > /run/sysctl.d/51-rp_filter.conf"
- rlRun "restorecon -Rv /run/sysctl.d"
- rlRun "service systemd-sysctl stop"
- rlRun "service systemd-sysctl start"
- rlRun "service systemd-sysctl status" 0,3
- rlPhaseEnd
+ if ! rlIsRHEL "<9.6" ; then
+ rlPhaseStartTest "RHEL-56988 + RHEL-58380"
+ rlRun "man sysctl.d | grep /run/sysctl"
+ rlRun "mkdir -pZ /run/sysctl.d"
+ rlRun "echo 'net.ipv4.conf.eno1.rp_filter=0' > /run/sysctl.d/51-rp_filter.conf"
+ rlRun "restorecon -Rv /run/sysctl.d"
+ rlRun "service systemd-sysctl stop"
+ rlRun "service systemd-sysctl start"
+ rlRun "service systemd-sysctl status" 0,3
+ rlPhaseEnd
+ fi
fi
rlPhaseStartTest "real scenario"
reply other threads:[~2026-09-11 13:22 UTC|newest]
Thread overview: [no followups] expand[flat|nested] mbox.gz Atom feed
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=178913295754.1.12409143674641096906.tests-selinux-3b84c2b16536@fedoraproject.org \
--to=sbroz@redhat.com \
--cc=git-commits@fedoraproject.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox